use "${ROOT}/data/Other/CD_indus", clear

	gen indus2 = ""
	replace indus2 = "311" if inrange(industry, 3110, 3119)
	replace indus2 = "312" if inrange(industry, 3120, 3129)
	replace indus2 = "313-316" if inrange(industry, 3130, 3139) | inrange(industry, 3160, 3169)
	replace indus2 = "321" if inrange(industry, 3210, 3219)
	replace indus2 = "322-323" if inrange(industry, 3220, 3229) | inrange(industry, 3230, 3239)
	replace indus2 = "3251" if industry==3251
	replace indus2 = "3252" if industry==3252
	replace indus2 = "3254" if industry==3254
	replace indus2 = "3253,3255,3256,3259" if inlist(industry, 3253, 3255, 3256, 3259)
	replace indus2 = "326" if inrange(industry, 3260, 3269)
	replace indus2 = "327" if inrange(industry, 3270, 3279)
	replace indus2 = "331" if inrange(industry, 3310, 3319)
	replace indus2 = "332" if inrange(industry, 3320, 3329)
	replace indus2 = "333" if inrange(industry, 3330, 3339)
	replace indus2 = "3341" if industry == 3341
	replace indus2 = "3342" if industry == 3342
	replace indus2 = "3344" if industry == 3344
	replace indus2 = "3345" if industry == 3345
	replace indus2 = "3343-3346" if inlist(industry, 3343, 3346)
	replace indus2 = "335" if inrange(industry, 3350, 3359)
	replace indus2 = "3361-3363" if inrange(industry, 3361, 3363)
	replace indus2 = "3364" if industry == 3364
	replace indus2 = "3365,3366,3369" if industry == 3365 | industry == 3366 | industry == 3369
	replace indus2 = "337" if inrange(industry, 3370, 3379)
	replace indus2 = "3391" if industry == 3391
	replace indus2 = "339 (except 3391)" if inrange(industry, 3390, 3399) & industry != 3391

	keep if indus2 != ""
	rename indus2 indus
	bys indus year: egen den = sum(emp)
	bys indus year: egen num = sum(CD*emp)
	replace CD = num/den
	collapse (mean) CD den, by(indus year)
	rename den emp
	merge 1:1 indus year using "${ROOT}/data/Other/patent_indus"
	keep if _merge == 3
	drop _merge

	merge 1:1 indus year using "${ROOT}/data/Other/TFP_indus"
	keep if _merge == 3
	drop _merge


	gen pat_per_emp = pat / emp
	replace pat_per_emp = pat_per_emp * 1000


	// Compute rank correlation
	sort year pat_per_emp
	by year: gen rk_pat=_N-_n+1
	sort year gMFP
	by year: gen rk_tfp = _N-_n+1

	by year: egen calc = sum((rk_tfp-rk_pat)^2/(_N*(_N^2-1)))
	replace calc = 1-6*calc 

	by year: egen mCD = mean(CD)

	label var calc "Rank rank correlation between tfp and patenting"
	label var mCD "Yearly level of Creative Destruction"
	twoway (scatter mCD calc if year < 2009, mlabel(year) mlabposition(6) legend(off) ytitle(Yearly level of Creative Destruction) yscale(range(0.05 0.08)) yla(.05(.01)0.08)) (lfit mCD calc if year < 2009)
	graph export "${FIG_PATH}/Figure1.pdf", replace
	graph export "${FIG_PATH}/Figure1.png", replace

	