use "${DATA_PATH}\Working\working_db", replace
	keep if inrange(year, 2003, 2014)
	drop if effeqtp == 0
	sort id year
	xtset id year
	drop if age<0
	gen emp_var = (F.effeqtp-effeqtp)/effeqtp
	keep if inrange(age, 0, 30)
	collapse (mean) emp_var, by(age year) fast
	forvalues y=2011(1)2015{
		gen emp_var_`y'= emp_var if year==`y'
	}
	collapse (mean) emp_var (sd) sd = emp_var (count) n = emp_var, by(age) fast
	gen hi = emp_var + invttail(n-1, 0.025)*sd/sqrt(n) 
	gen lo = emp_var - invttail(n-1, 0.025)*sd/sqrt(n) 	
	twoway (connected emp_var age) (rcap hi lo age), /*
	*/ xlabel(0 5 10 15 20 25 30) xtitle("Age") ytitle("Employment growth") /*
	*/ graphregion(color(white)) legend(off)
	graph export "${FIG_PATH}/Figure3.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure3.png", as(png) replace
