** Need to install spmap package
	*ssc install spmap
	
// Région
use "${DATA_PATH}/Other/fraregdb.dta", clear
	rename code_insee reg
	destring reg, replace
	merge 1:1 reg using "${RESULTS_PATH}/MG_geo_effeqtp_k${age}_s${sigma}_reg"
	drop if _merge!=3
	drop _merge
	* Mapping
	global var_exposure = "MG" 
	replace MG = round(100*MG,0.01)
	spmap ${var_exposure} using "${DATA_PATH}/Other/fraregcoord", id(id) fcolor(Greys) osize(none ..) ocolor(none ..) clnumber(4) ///
	polygon(data("${DATA_PATH}/Other/fraregcoord")  ocolor(blacvk) osize(vthin ..))

	graph export "${FIG_PATH}/Figure4a.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure4a.png", as(png) replace	
	
// Département
use "${DATA_PATH}/Other/fradepdb.dta", clear
	rename CODE_DEPT dep
	merge 1:1 dep using "${RESULTS_PATH}/MG_geo_effeqtp_k${age}_s${sigma}_dep"
	drop if _merge!=3
	drop _merge
	* Mapping
	global var_exposure = "MG" 
	replace MG = round(100*MG,0.01)
	spmap ${var_exposure} using "${DATA_PATH}/Other/fradepcoord", id(id) fcolor(Greys) osize(none ..) ocolor(none ..) clnumber(4) ///
	polygon(data("${DATA_PATH}/Other/fradepcoord")  ocolor(blacvk) osize(vthin ..))

	graph export "${FIG_PATH}/Figure4b.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure4b.png", as(png) replace

