use "${DATA_PATH}/Working/working_db", replace
	drop if eff3112 == 0
	sort id year
	xtset id year
		drop if age<0
		keep if inrange(age, 0, 80)
		gen group="0-5" if age<=5
		forvalues j=6(5)21{
			local k = `j' + 4
			replace group = "`j'-`k'" if inrange(age,`j',`k')
		}
		replace group = "26+"  if age>=26
		gen order = 0 if age<=5
		forvalues j=1(1)4{
			local l = 5*`j'+1
			local k = 5*(`j'+1)
			replace order = `j' if group == "`l'-`k'"
		}
		replace order = 5 if group == "26+"
		
	collapse (sum) eff3112, by(group order year) fast
	merge 1:1 year order using  "${DATA_PATH}/Other/pd_US_0315.dta"
	by year : egen emp_tot = sum(eff3112)
	gen France = eff3112/emp_tot
	rename emp_share US
	keep if inrange(year, 2003, 2015)	
	graph bar France US, over(group, sort(order))  b1title(Age) ytitle("Employment share") legend(order(1 "France" 2 "US"))
	graph export "${FIG_PATH}/Figure6.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure6.png", as(png) replace
