use "${DATA_PATH}/Working/working_db", replace
	drop if eff3112 == 0
	sort id year
	xtset id year
		drop if age<0
		keep if inrange(age, 0, 80)
		gen group =0 if age<=5
		forvalues j=1(1)4{
			replace group = `j' if inrange(age,5*`j'+1,5*(`j'+1))
		}
	replace group = 5 if age>=26
	gen order=group
	collapse (mean) mean_eff_group=eff3112, by(group order year)
	merge 1:1 year order using "${DATA_PATH}/Other/pd_US_0315.dta"	
	keep if inrange(year,2003,2015)
	collapse (mean) mean_eff_group avg_emp, by(group order)
	gen France = mean_eff_group/mean_eff_group[1]
	gen US = avg_emp/avg_emp[1]
	twoway (connected France group) (connected US group), yscale(log) ///
	xlabel(0 "0-5" 1 "6-10" 2 "11-15" 3 "16-20" 4 "21-25" 5 "26+") ///
	xtitle("Age") ytitle("Average Employment") legend(order(1 "France" 2 "US")) 
	  
	graph export "${FIG_PATH}/Figure7.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure7.png", as(png) replace
