use "${DATA_PATH}/Working/working_db", replace
	drop if year>year_disp | year<year_c
	sort id year
	xtset id year
	gen exit=(year==year_disp)
	keep if inrange(age,0,80)
	gen group="0-5" if age<=5
	forvalues j=6(5)21{
		local k = `j' + 4
		replace group = "`j'-`k'" if inrange(age,`j',`k')
	}
	replace group = "26+"  if age>=26
	gen order = 0 if age<=5
	forvalues j=1(1)4{
		local l = 5*`j'+1
		local k = 5*(`j'+1)
		replace order = `j' if group == "`l'-`k'"
	}
	replace order = 5 if group == "26+"
	collapse (count) nb_plant=exit (sum) nb_exit=exit, by(group order year)
	bys year : egen plant_tot = sum(nb_plant)
	gen exit_rate = nb_exit/nb_plant
	rename exit_rate France
	merge 1:1 year order using "${DATA_PATH}/Other/pd_US_0315.dta"
	rename exit_rate US
	keep if inrange(year, 2003, 2014) 
	graph bar (mean) France US, over(group, sort(order)) b1title(Age) ytitle("Exit rate") legend(order(1 "France" 2 "US"))
	graph export "${FIG_PATH}/Figure8.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure8.png", as(png) replace
