use "${DATA_PATH}/Working/working_db", replace
	drop if year>year_disp | year<year_c
	sort id year
	xtset id year
	drop if age<0
	keep if inrange(age, 0, 80)
	gen exit=(year==year_disp)
	gen entry=(year==year_c)
	collapse (sum) entry (sum) exit (count) nb_plant=id, by(year) fast
	gen entry_rate = entry/nb_plant*100
	gen exit_rate = exit/nb_plant*100
	gen net_entry_rate=entry_rate - exit_rate
	rename *rate *rate_France
	merge 1:1 year using "${DATA_PATH}/Other/pd_entry_exit_US_9315.dta"
	

	twoway (connected *rate_France year) if year<=2014, yscale( r(0 20)) ///
	ylabel(0 5 10 15 20) legend(order(1 "Entry Rate" 2 "Exit Rate" 3 "Net Entry Rate")) ///
	xtitle("Year")
	graph export "${FIG_PATH}/Figure9a.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure9a.png", as(png) replace
	
	twoway (connected *rate_US year) if year<=2014, yscale( r(0 20)) ///
	ylabel(0 5 10 15 20) legend(order(1 "Entry Rate" 2 "Exit Rate" 3 "Net Entry Rate")) ///
	xtitle("Year")
	graph export "${FIG_PATH}/Figure9b.pdf", as(pdf) replace
	graph export "${FIG_PATH}/Figure9b.png", as(png) replace
