use "${DATA_PATH}/Working/working_db", replace
	drop if eff3112 == 0
	sort id year
	xtset id year
		drop if age<0
		keep if inrange(age, 0, 80)
		gen group = 0 if age<=4
		forvalues j=1(1)7{
			replace group = `j' if inrange(age,5*`j',5*`j'+4)
		}
		replace group = 8 if age>=40
		collapse (mean) mean_eff_group=eff3112, by(group year)
		sort year group
		by year : gen eff_ratio = mean_eff_group/mean_eff_group[1]
		forvalues y=2000(1)2015{
			gen eff_ratio_`y'= eff_ratio if year==`y'
		}
		keep if year>2010
		collapse (mean) mean_eff_group, by(group)
		gen eff_ratio = mean_eff_group/mean_eff_group[1]
		
	twoway (connected eff_ratio group), yscale(log) ///
	xlabel(0 "1-4" 1 "5-9" 2 "10-14" 3 "15-19" 4 "20-24" 5 "25-29" ////
	6 "30-34" 7 "35-39" 8 ">=40") xtitle("Age") ytitle("Average Employment") 
	graph export "${FIG_PATH}/FigureA2.pdf", as(pdf) replace
	graph export "${FIG_PATH}/FigureA2.png", as(png) replace
