// This do file draws table 2 and extract the corresponding figures to xls file

use "${DATA_PATH}\CLAP\clap_et_2003_2015_red.dta", clear

	rename apet ape
	rename marchet marche
	rename etabmna abmna 
	rename siret id
	keep id year cj marche abmna ape eff3112 effeqtp

	replace ape = substr(ape,1,2)
	destring ape, replace force
	order id year 
	sort id year
	
/* Keep establishments in Non-farm business sector */
	replace marche="0" if marche=="MA"
	replace marche="1" if marche=="PR"
	replace marche="2" if marche=="PU"
	drop if marche=="HC"
/* Classification problem in 2006 */
	replace marche="2" if marche=="0" & year==2006
	replace marche="0" if marche=="1" & year==2006
	replace marche="1" if marche=="2" & year==2006
	
	destring marche, replace
	replace abmna="1" if (year<=1992)
	replace abmna="1" if (marche==0 & ape>5 & year<2007 & year>1992)
	/* 2010 : variable abmna poorly coded */
	replace abmna="1" if (marche==0 & ape>3 & year==2010)	
	keep if abmna=="1"	
	drop abmna marche

	bys id year: gen t = _N
	drop if t != 1
	drop t
	sort id year
/* Condition about employment */	
	tostring cj, replace
	gen cj_red = substr(cj,1,1)
	drop cj
	rename cj_red cj
	tab cj
	drop if cj=="4" | cj=="6" | cj=="7" | cj=="8" | cj=="9"
	drop cj
	keep if (effeqtp>0 | eff3112>0)
/* */
	collapse (count) n=id (mean) Headcount=eff3112 FTE=effeqtp, by(year) fast
	order year n FTE Headcount
	label var year "Year"
	label var n "Number of Establishments"
	label var FTE "FTE Employment"
	label var Headcount "Headcount Employment"
	tabstat n FTE Headcount, by(year)
	replace FTE=round(FTE,0.01)
	replace Headcount=round(Headcount,0.01)
	export excel using "${RESULTS_PATH}/Tables/Table2.xls", replace  firstrow(varlabel)
clear


	
