// This do file draws table 3 and extract the corresponding figures to xls file

use "${RESULTS_PATH}/MG_effeqtp_k5_s4_ET", clear
	rename MG MG_FTE
	merge 1:1 year using "${RESULTS_PATH}/MG_eff3112_k5_s4_ET"
	drop _merge
	rename MG MG_Headcount
	merge 1:1 year using "${RESULTS_PATH}/MG_rembrute_k5_s4_ET"
	drop _merge
	rename MG MG_Payroll
	merge 1:1 year using "${RESULTS_PATH}/MG_va_k5_s4_ET"
	drop _merge
	rename MG MG_va
	merge 1:1 year using "${RESULTS_PATH}/MG_s_nbh_k5_s4_ET"
	drop _merge
	rename MG MG_Hours
	
	keep if inrange(year, 2004, 2015)
	label var MG_FTE "MG using FTE"
	label var MG_Headcount "MG using Headcount"
	label var MG_Payroll "MG using Payroll"
	label var MG_va "MG using Value Added"
	label var MG_Hours "MG using Hours"
	
	su MG_*
	su MG_* if inrange(year, 2006, 2013)
	
	putexcel set "${RESULTS_PATH}/Tables/Table3.xls", replace 
	
	putexcel A1=("Period")
	putexcel B1:F1=("Missing Growth")
	putexcel B2=("FTE")
	putexcel C2=("Headcount")
	putexcel D2=("Payroll")
	putexcel E2=("Value Added")
	putexcel F2=("Hours")
	
	su MG_FTE
	local m=string(`r(mean)',"%9.2f")
	putexcel B3=(`m')
	su MG_Headcount
	local m=string(`r(mean)',"%9.2f")
	putexcel C3=(`m')
	su MG_Payroll
	local m=string(`r(mean)',"%9.2f")
	putexcel D3=(`m')
	su MG_va
	local m=string(`r(mean)',"%9.2f")
	putexcel E3=(`m')
	su MG_Hours
	local m=string(`r(mean)',"%9.2f")
	putexcel F3=(`m')
	
	keep if inrange(year, 2006, 2013)
	
	su MG_FTE
	local m=string(`r(mean)',"%9.2f")
	putexcel B4=(`m')
	su MG_Headcount
	local m=string(`r(mean)',"%9.2f")
	putexcel C4=(`m')
	su MG_Payroll
	local m=string(`r(mean)',"%9.2f")
	putexcel D4=(`m')
	su MG_va
	local m=string(`r(mean)',"%9.2f")
	putexcel E4=(`m')
	su MG_Hours
	local m=string(`r(mean)',"%9.2f")
	putexcel F4=(`m')

clear
	
		 
