// This do file draws table 4 and extract the corresponding figures to xls file

use "${RESULTS_PATH}/MG_effeqtp_k5_s5_ET", clear
	rename MG MG_s5
	merge 1:1 year using "${RESULTS_PATH}/MG_effeqtp_k5_s4_ET"
	rename MG MG_s4
	drop _merge
	merge 1:1 year using "${RESULTS_PATH}/MG_effeqtp_k5_s3_ET"
	rename MG MG_s3
	drop _merge	
	
	keep if inrange(year, 2004, 2015)
	
	su MG_*
	su MG_* if inrange(year, 2006, 2013)
	
	putexcel set "${RESULTS_PATH}/Tables/Table5.xls", replace 
	
	putexcel A1=("Period")
	putexcel B1:D1=("Missing Growth")
	putexcel B2=("sigma=5")
	putexcel C2=("sigma=4")
	putexcel D2=("sigma=3")
	
	su MG_s5
	local m=string(`r(mean)',"%9.2f")
	putexcel B3=(`m')
	su MG_s4
	local m=string(`r(mean)',"%9.2f")
	putexcel C3=(`m')
	su MG_s3
	local m=string(`r(mean)',"%9.2f")
	putexcel D3=(`m')
		
	keep if inrange(year, 2006, 2013)
	
	su MG_s5
	local m=string(`r(mean)',"%9.2f")
	putexcel B4=(`m')
	su MG_s4
	local m=string(`r(mean)',"%9.2f")
	putexcel C4=(`m')
	su MG_s3
	local m=string(`r(mean)',"%9.2f")
	putexcel D4=(`m')
clear
	