
use "${DATA_PATH}/Working/working_db", replace
	rename ape apet
	merge m:1 apet using "${DATA_PATH}\Other\naf_rev1"
	drop _merge
	drop if year>year_disp | year<year_c
	sort id year
	xtset id year
		drop if age<0
		keep if inrange(age, 0, 80)
		gen exit=(year==year_disp)
		gen entry=(year==year_c)
		keep if inrange(year,2004,2012)		
		collapse (sum) entry (sum) exit (count) nb_plant=id, by(year sector) fast
		gen entry_rate = entry/nb_plant
		gen exit_rate = exit/nb_plant
		gen CD = (entry_rate+exit_rate)/2
		collapse (mean) CD *rate (mean) nb_plant, by(sector)
		replace nb_plant = round(nb_plant)
		merge 1:1 sector using "${RESULTS_PATH}/MG_sec_${VAR_EMP}_k5_s4_ET"
		drop _merge
		drop if sector=="A" |sector=="B" |sector=="E" |sector=="L" |sector=="M" |/*
		*/ sector=="P" |sector=="Q" |sector=="" 
		replace CD=round(CD*100,0.1)
		replace MG=round(MG*100,0.01)
		order sector MG CD
		replace sector = "Extractive Industry" if sector=="C"
		replace sector = "Manufacturing" if sector=="D"
		replace sector = "Construction" if sector=="F"
		replace sector = "Retail" if sector=="G"
		replace sector = "Hotels, restaurants" if sector=="H"
		replace sector = "Logistic & Communication" if sector=="I"
		replace sector = "Finance" if sector=="J"
		replace sector = "Real Estate" if sector=="K"
		replace sector = "Health" if sector=="N"
		replace sector = "Social and personal services" if sector=="O"
		keep sector MG CD
		la var sector "Industry"
		la var MG "Missing Growth"
		la var CD "Creative Destruction"
export excel "${RESULTS_PATH}/Tables/Table7.xls", firstrow(varlabels) replace
	
	
