// This do file draws table 3 and extract the corresponding figures to xls file

use "${RESULTS_PATH}/MG_effeqtp_k5_s4_EN", clear
	rename MG MG_FTE_EN
	merge 1:1 year using "${RESULTS_PATH}/MG_eff3112_k5_s4_EN"
	drop _merge
	rename MG MG_Headcount_EN
	merge 1:1 year using "${RESULTS_PATH}/MG_effeqtp_k5_s4_ET"
	drop _merge
	rename MG MG_FTE_ET
	merge 1:1 year using "${RESULTS_PATH}/MG_eff3112_k5_s4_ET"
	drop _merge
	rename MG MG_Headcount_ET
	keep if inrange(year, 2004, 2015)
	
	su MG_*
	su MG_* if inrange(year, 2006, 2013)
	
	putexcel set "${RESULTS_PATH}/Tables/Table8.xls", replace 
	
	putexcel A1=("Period")
	putexcel B1:E1=("Missing Growth")
	putexcel B2:C2=("Firms")
	putexcel D2:E2=("Plants")
	
	putexcel B3=("FTE")
	putexcel C3=("Headcount")
	putexcel D3=("FTE")
	putexcel E3=("Headcount")
	
	putexcel A4=("2004-2015")
	putexcel A5=("2006-2013")
	
	su MG_FTE_EN
	local m=string(`r(mean)',"%9.2f")
	putexcel B4=(`m')
	su MG_Headcount_EN
	local m=string(`r(mean)',"%9.2f")
	putexcel C4=(`m')
	su MG_FTE_ET
	local m=string(`r(mean)',"%9.2f")
	putexcel D4=(`m')
	su MG_Headcount_ET
	local m=string(`r(mean)',"%9.2f")
	putexcel E4=(`m')
	
	keep if inrange(year, 2006, 2013)
	
	su MG_FTE_EN
	local m=string(`r(mean)',"%9.2f")
	putexcel B5=(`m')
	su MG_Headcount_EN
	local m=string(`r(mean)',"%9.2f")
	putexcel C5=(`m')
	su MG_FTE_ET
	local m=string(`r(mean)',"%9.2f")
	putexcel D5=(`m')
	su MG_Headcount_ET
	local m=string(`r(mean)',"%9.2f")
	putexcel E5=(`m')

clear
	
		 
