/*  build_DADS_firm.do
	this do file cleans CLAP database from 2003 to 2015 at the firm level */
	
use "${DATA_PATH}/CLAP/clap_en_2003_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	merge 1:1 siren using "${DATA_PATH}/DADS/dads_en_2003_export.dta"
	drop if _merge==2
	rename an year
	gen year_en = year(daton)
	gen month_en = month(daton)
	replace year_en=2003 if year_en==.
	replace month_en=1 if month_en==.  
	rename s_brut rembrute	
	keep siren year cj year_en month_en eff3112 effeqtp apen marchen rembrute
	order siren year_en
	sort siren
erase "${DATA_PATH}/CLAP/clap_en_2003_export.dta"	
save "${DATA_PATH}/CLAP/clap_en_2003_red.dta", replace

use "${DATA_PATH}/CLAP/clap_en_2004_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year
	gen yy = substr(daton,7,2)
	destring yy, replace
	gen year_en = 1900 + yy if (yy>20)
	replace year_en = 2000 + yy if year_en==.
	gen month_en = substr(daton,4,2)
	gen dep_en = substr(dcsiege,1,2)
	destring year_en month_en, replace force
	replace year_en=2004 if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
erase "${DATA_PATH}/CLAP/clap_en_2004_export.dta"		
save "${DATA_PATH}/CLAP/clap_en_2004_red.dta", replace

use "${DATA_PATH}/CLAP/clap_en_2005_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year
	gen year_en = substr(daton,7,4) if daton!=""
	gen month_en = substr(daton,4,2)
	gen dep_en = substr(dcsiege,1,2)
	destring year_en month_en, replace force
	replace year_en=2005 if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
erase "${DATA_PATH}/CLAP/clap_en_2005_export.dta"		
save "${DATA_PATH}/CLAP/clap_en_2005_red.dta", replace

use "${DATA_PATH}/CLAP/clap_en_2006_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year
	gen yy = substr(daton,7,2)
	destring yy, replace
	gen year_en = 1900 + yy if (yy>20)
	replace year_en = 2000 + yy if year_en==.
	gen month_en = substr(daton,4,2)
	gen dep_en = substr(dcsiege,1,2)
	destring year_en month_en, replace force
	replace year_en=2006 if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
erase "${DATA_PATH}/CLAP/clap_en_2006_export.dta"	
save "${DATA_PATH}/CLAP/clap_en_2006_red.dta", replace

use "${DATA_PATH}/CLAP/clap_en_2007_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year

	gen yy = substr(daton,7,2)
	destring yy, replace
	gen year_en = 1900 + yy if (yy>20)
	replace year_en = 2000 + yy if year_en==.
	gen month_en = substr(daton,4,2)
	gen dep_en = substr(dcsiege,1,2)
	destring year_en month_en, replace force
	replace year_en=2007 if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
erase "${DATA_PATH}/CLAP/clap_en_2007_export.dta"		
save "${DATA_PATH}/CLAP/clap_en_2007_red.dta", replace


forvalues j=2008(1)2010{
	set more off
use "${DATA_PATH}/CLAP/clap_en_`j'_export.dta", clear 
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year
	gen yy = substr(daton,8,2)
	destring yy, replace
	gen year_en = 1900 + yy if (yy>20)
	replace year_en = 2000 + yy if year_en==.
	gen month_en = 1 if substr(daton,4,3)=="JAN"
	replace month_en = 2 if substr(daton,4,3)=="FEB"
	replace month_en = 3 if substr(daton,4,3)=="MAR"
	replace month_en = 4 if substr(daton,4,3)=="APR"
	replace month_en = 5 if substr(daton,4,3)=="MAY"
	replace month_en = 6 if substr(daton,4,3)=="JUN"
	replace month_en = 7 if substr(daton,4,3)=="JUL"
	replace month_en = 8 if substr(daton,4,3)=="AUG"
	replace month_en = 9 if substr(daton,4,3)=="SEP"
	replace month_en = 10 if substr(daton,4,3)=="OCT"
	replace month_en = 11 if substr(daton,4,3)=="NOV"
	replace month_en = 12 if substr(daton,4,3)=="DEC"
	gen dep_en = substr(dcsiege,1,2)
	replace year_en=`j' if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
erase "${DATA_PATH}/CLAP/clap_en_`j'_export.dta"	
save "${DATA_PATH}/CLAP/clap_en_`j'_red.dta", replace
}

forvalues j=2011(1)2013{
	set more off
	use "${DATA_PATH}/CLAP/clap_en_`j'_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year
	gen yy = substr(daton,7,2)
	destring yy, replace
	gen year_en = 1900 + yy if (yy>20)
	replace year_en = 2000 + yy if year_en==.
	gen month_en = substr(daton,4,2)
	gen dep_en = substr(dcsiege,1,2)
	destring year_en month_en, replace force
	replace year_en=`j' if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
	erase "${DATA_PATH}/CLAP/clap_en_`j'_export.dta"
	save "${DATA_PATH}/CLAP/clap_en_`j'_red.dta", replace
}

forvalues j=2014(1)2015{
	set more off
	use "${DATA_PATH}/CLAP/clap_en_`j'_export.dta", clear
	destring an cj siren, replace
	format siren %16.0g
	drop if siren==.
	rename an year
	gen year_en = substr(daton,7,4) if daton!=""
	gen month_en = substr(daton,4,2)
	gen dep_en = substr(dcsiege,1,2)
	destring year_en month_en, replace force
	replace year_en=`j' if year_en==.
	replace month_en=1 if month_en==.  
	keep siren year cj year_en month_en eff3112 effeqtp dep_en apen marchen rembrute
	order siren year_en
	sort siren
	erase "${DATA_PATH}/CLAP/clap_en_`j'_export.dta"
	save "${DATA_PATH}/CLAP/clap_en_`j'_red.dta", replace
}


use "${DATA_PATH}/CLAP/clap_en_2003_red.dta", clear
	forvalues j = 2004/2015 {
		append using "${DATA_PATH}/CLAP/clap_en_`j'_red.dta"
		erase "${DATA_PATH}/CLAP/clap_en_`j'_red.dta"
	}
save "${DATA_PATH}/CLAP/clap_en_2003_2015_red.dta", replace
	
erase "${DATA_PATH}/DADS/dads_en_2003_export.dta"
erase "${DATA_PATH}/CLAP/clap_en_2003_red.dta"
