/*  build_DADS.do
	this do file cleans DADS database from 1993 to 2002 */
	
global VAR_EMP_DADS = "nbrsa31d"
use "${DATA_PATH}\DADS\dads_et_1993_export.dta", clear
	replace nic = substr(nic,2,5)
	gen siret = siren + nic 
	rename catjur cj
	gen year=1993
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0	
	tostring creareac, replace
	gen year_et = "19" + substr(creareac,1,2) if creareac!="."
	gen month_et = substr(creareac,3,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1993 if year_et==.
	replace month_et=1 if month_et==.
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1993_export.dta"
save "${DATA_PATH}\DADS\dads_et_1993_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1994_export.dta", clear
	replace nic = substr(nic,2,5)
	replace siren = substr(siren,2,9)
	gen siret = siren + nic 
	rename catjur cj
	gen year=1994
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	gen year_et = "19" + substr(creareac,1,2) if creareac!="0000"
	gen month_et = substr(creareac,3,2) if creareac!="0000"
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1994 if year_et==.
	replace month_et=1 if month_et==.
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1994_export.dta"
save "${DATA_PATH}\DADS\dads_et_1994_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1995_export.dta", clear
	merge m:1 sirenn using "${DATA_PATH}\DADS\dads_en_1995_export.dta"
	keep if _merge==3
	drop _merge
	replace nic = substr(nic,2,5)
	rename sirenn siren
	gen siret = siren + nic 
	rename catjur cj
	gen year=1995
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0
	tostring creareac, replace
	gen year_et = "19" + substr(creareac,1,2) if creareac!="."
	gen month_et = substr(creareac,3,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1995 if year_et==.
	replace month_et=1 if month_et==.
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1995_export.dta"
save "${DATA_PATH}\DADS\dads_et_1995_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1996_export.dta", clear
	merge m:1 sirenn using "${DATA_PATH}\DADS\dads_en_1996_export.dta"
	keep if _merge==3
	drop _merge
	replace nic = substr(nic,2,5)	
	rename sirenn siren
	gen siret = siren + nic 
	rename catjur cj
	gen year=1996
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0
	tostring creareac, replace
	gen year_et = "19" + substr(creareac,1,2) if creareac!="."
	gen month_et = substr(creareac,3,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1996 if year_et==.
	replace month_et=1 if month_et==.
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1996_export.dta"
save "${DATA_PATH}\DADS\dads_et_1996_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1997_export.dta", clear
	merge m:1 sirenn using "${DATA_PATH}\DADS\dads_en_1997_export.dta"
	keep if _merge==3
	drop _merge
	replace nic = substr(nic,2,5)	
	rename sirenn siren
	gen siret = siren + nic 
	rename catjur cj
	gen year=1997
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0
	tostring creareac, replace
	gen year_et = "19" + substr(creareac,1,2) if creareac!="."
	gen month_et = substr(creareac,3,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1997 if year_et==.
	replace month_et=1 if month_et==. 
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1997_export.dta"
save "${DATA_PATH}\DADS\dads_et_1997_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1998_export.dta", clear
	merge m:1 sirenn using "${DATA_PATH}\DADS\dads_en_1998_export.dta"
	keep if _merge==3
	drop _merge
	replace nic = substr(nic,2,5)	
	rename sirenn siren
	gen siret = siren + nic 
	rename catjur cj
	gen year=1998
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0
	tostring creareac, replace
	gen year_et = "19" + substr(creareac,1,2) if creareac!="."
	gen month_et = substr(creareac,3,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1998 if year_et==.
	replace month_et=1 if month_et==. 
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1998_export.dta"
save "${DATA_PATH}\DADS\dads_et_1998_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1999_export.dta", clear
	merge m:1 sirenn using "${DATA_PATH}\DADS\dads_en_1999_export.dta"
	keep if _merge==3
	drop _merge
	replace nic = substr(nic,2,5)	
	rename sirenn siren
	gen siret = siren + nic 
	rename catjur cj
	gen year=1999
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0
	tostring creareac, replace
	gen year_et = substr(creareac,1,4) if creareac!="."
	gen month_et = substr(creareac,5,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=1999 if year_et==.
	replace month_et=1 if month_et==. 
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_1999_export.dta"
save "${DATA_PATH}\DADS\dads_et_1999_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_2000_export.dta", clear
	merge m:1 sirenn using "${DATA_PATH}\DADS\dads_en_2000_export.dta"
	keep if _merge==3
	drop _merge
	replace nic = substr(nic,2,5)	
	rename sirenn siren
	gen siret = siren + nic 
	rename catjur cj
	gen year=2000
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0
	tostring creareac, replace
	gen year_et = substr(creareac,1,4) if creareac!="."
	gen month_et = substr(creareac,5,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=2000 if year_et==.
	replace month_et=1 if month_et==. 
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_2000_export.dta"
save "${DATA_PATH}\DADS\dads_et_2000_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_2001_export.dta", clear
	merge m:1 siren using "${DATA_PATH}\DADS\dads_en_2001_export.dta"
	gen siret = siren + nic 
	rename catjur cj
	gen year=2001
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	replace creareac=. if creareac==0	
	tostring creareac, replace
	gen year_et = substr(creareac,1,4)
	gen month_et = substr(creareac,5,2)
	destring year_et month_et, replace force
	rename dep dep_et
	replace year_et=2001 if year_et==0
	replace month_et=1 if month_et==. 
	rename (${VAR_EMP_DADS} brut) (eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_2001_export.dta"
save "${DATA_PATH}\DADS\dads_et_2001_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_2002_export.dta", clear
	merge m:1 siren using "${DATA_PATH}\DADS\dads_en_2002_export.dta"
	gen siret = siren + nic 
	rename catjur cj
	gen year=2002
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	gen year_et = year(dat_reactiv)
	gen month_et = month(dat_reactiv)
	rename dept dep_et
	replace year_et=2002 if year_et==.
	replace month_et=1 if month_et==.
	rename (eff_etp_et eff_3112_et s_brut) (effeqtp eff3112 rembrute)
	keep siret year cj year_et month_et eff3112 effeqtp rembrute dep_et apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}\DADS\dads_et_2002_export.dta"
save "${DATA_PATH}\DADS\dads_et_2002_red.dta", replace

use "${DATA_PATH}\DADS\dads_et_1993_red.dta", clear
	forvalues j=1994(1)2002 {
		append using "${DATA_PATH}\DADS\dads_et_`j'_red.dta"
		erase "${DATA_PATH}\DADS\dads_et_`j'_red.dta"
	} 
save "${DATA_PATH}\DADS\dads_et_1993_2002_red.dta", replace

erase "${DATA_PATH}\DADS\dads_et_1993_red.dta"

		



