/*  build_DADS_firm.do
	this do file cleans DADS database from 1993 to 2002 at the firm level */


use "${DATA_PATH}/DADS/dads_en_1993_export.dta", replace
	rename catjur cj
	gen year=1993
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = "19" + substr(creareac,1,2) if creareac!="."
	gen month_en = substr(creareac,3,2)
	destring year_en month_en, replace force
	replace year_en=1993 if year_en==.
	replace month_en=1 if month_en==. 
	rename (efftot brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1993_export.dta"
save "${DATA_PATH}/DADS/dads_en_1993_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_1994_export.dta", replace
	replace siren = substr(siren,2,9)
	rename catjur cj
	gen year=1994
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	gen year_en = "19" + substr(creareac,1,2) if creareac!="0000"
	gen month_en = substr(creareac,3,2) if creareac!="0000"
	destring year_en month_en, replace force
	replace year_en=1994 if year_en==.
	replace month_en=1 if month_en==. 
	rename (efftot brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1994_export.dta"	
save "${DATA_PATH}/DADS/dads_en_1994_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_1995_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=1995
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = "19" + substr(creareac,1,2) if creareac!="."
	gen month_en = substr(creareac,3,2)
	destring year_en month_en, replace force
	replace year_en=1995 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1995_export.dta"	
save "${DATA_PATH}/DADS/dads_en_1995_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_1996_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=1996	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = "19" + substr(creareac,1,2) if creareac!="."
	gen month_en = substr(creareac,3,2)
	destring year_en month_en, replace force
	replace year_en=1996 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1996_export.dta"	
save "${DATA_PATH}/DADS/dads_en_1996_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_1997_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=1997	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = "19" + substr(creareac,1,2) if creareac!="."
	gen month_en = substr(creareac,3,2)
	destring year_en month_en, replace force
	replace year_en=1997 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1997_export.dta"	
save "${DATA_PATH}/DADS/dads_en_1997_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_1998_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=1998	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = "19" + substr(creareac,1,2) if creareac!="."
	gen month_en = substr(creareac,3,2)
	destring year_en month_en, replace force
	replace year_en=1998 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1998_export.dta"	
save "${DATA_PATH}/DADS/dads_en_1998_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_1999_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=1999	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = substr(creareac,1,4) if creareac!="."
	gen month_en = substr(creareac,5,2)
	destring year_en month_en, replace force
	replace year_en=1999 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_1999_export.dta"	
save "${DATA_PATH}/DADS/dads_en_1999_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_2000_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=2000	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = substr(creareac,1,4) if creareac!="."
	gen month_en = substr(creareac,5,2)
	destring year_en month_en, replace force
	replace year_en=2000 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brutt) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_2000_export.dta"	
save "${DATA_PATH}/DADS/dads_en_2000_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_2001_export.dta", replace
	rename sirenn siren
	rename catjur cj
	gen year=2001	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	replace creareac=. if creareac==0
	tostring creareac, replace	
	gen year_en = substr(creareac,1,4) if creareac!="."
	gen month_en = substr(creareac,5,2)
	destring year_en month_en, replace force
	replace year_en=2001 if year_en==.
	replace month_en=1 if month_en==. 
	rename (nbrsa31d brut) (eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_2001_export.dta"	
save "${DATA_PATH}/DADS/dads_en_2001_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_2002_export.dta", replace
	rename catjur cj
	gen year=2002	
	destring cj siren, replace force
	format siren %16.0g
	drop if siren==.
	gen year_en = year(dat_reactiv)
	gen month_en = month(dat_reactiv)
	replace year_en=2002 if year_en==.
	replace month_en=1 if month_en==. 
	rename (eff_etp eff_3112 s_brut) (effeqtp eff3112 rembrute)
	keep siren year cj year_en month_en eff3112 effeqtp rembrute apen marchen
	order siren year_en
	sort siren
erase "${DATA_PATH}/DADS/dads_en_2002_export.dta"	
save "${DATA_PATH}/DADS/dads_en_2002_red.dta", replace

use "${DATA_PATH}/DADS/dads_en_2003_export.dta"
	destring siren, replace force
	format siren %16.0g
	drop if siren==.
	keep siren s_brut
save "${DATA_PATH}/DADS/dads_en_2003_export.dta", replace	

use "${DATA_PATH}/DADS/dads_en_1993_red.dta", clear
	forvalues j = 1994/2002 {
		append using "${DATA_PATH}/DADS/dads_en_`j'_red.dta"
		erase "${DATA_PATH}/DADS/dads_en_`j'_red.dta"
	}
save "${DATA_PATH}/DADS/dads_en_1993_2002_red.dta", replace

erase "${DATA_PATH}/DADS/dads_en_1993_red.dta"
