/*  build_SIRENE.do
	this do file cleans SIRENE database from 1987 to 1992 */


use "${DATA_PATH}\SIRENE\sir_sto_et_87.dta", clear
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	gen year = 1987
	rename (efet dcret) (eff_et ori_demo_date_et)
	gen year_et = "19"+substr(ori_demo_date_et,1,2) if ori_demo_date_et!=""
	gen month_et = substr(ori_demo_date_et,3,2)
	destring year_et month_et, replace force
	replace year_et=1987 if year_et==.
	replace month_et=1 if month_et==.
	keep siret cj year_et month_et eff_et year
	order siret year_et
	sort siret
erase "${DATA_PATH}\SIRENE\sir_sto_et_87.dta"
save "${DATA_PATH}\SIRENE\sir_sto_et_87_red.dta", replace

forvalues j=88(1)92{
	use "${DATA_PATH}\SIRENE\sir_sto_et_`j'.dta", clear
		destring cj siret, replace force
		format siret %17.0g
		drop if siret==.
		gen year = 1980+`j'
		rename (efet dcret) (eff_et ori_demo_date_et)
		gen year_et = "19"+substr(ori_demo_date_et,1,2) if ori_demo_date_et!=""
		gen month_et = substr(ori_demo_date_et,3,2)
		destring year_et month_et, replace force
		replace year_et=1900+`j' if year_et==.
		replace month_et=1 if month_et==.
		keep siret cj year_et month_et eff_et year
		order siret year_et
		sort siret
	erase "${DATA_PATH}\SIRENE\sir_sto_et_`j'.dta"
	save "${DATA_PATH}\SIRENE\sir_sto_et_`j'_red.dta", replace
}

use "${DATA_PATH}\SIRENE\sir_sto_et_87_red.dta", replace
	forvalues j=88(1)92{
		append using "${DATA_PATH}\SIRENE\sir_sto_et_`j'_red.dta"
		erase "${DATA_PATH}\SIRENE\sir_sto_et_`j'_red.dta"
	} 
save "${DATA_PATH}\SIRENE\sir_sto_et_1987_1992", replace

erase "${DATA_PATH}\SIRENE\sir_sto_et_87_red.dta"
