/*  build_panel_hrs.do
	this do file adds hours */
	
	
use "${DATA_PATH}/DADS/dads_et_2002_export_nbh.dta", clear
	merge m:1 siren using "${DATA_PATH}/DADS/dads_en_2002_export.dta"
	gen siret = siren + nic 
	rename catjur cj
	gen year=2002
	destring cj siret, replace force
	format siret %17.0g
	drop if siret==.
	gen year_et = year(dat_reactiv)
	gen month_et = month(dat_reactiv)
	replace year_et=2002 if year_et==.
	replace month_et=1 if month_et==.
	keep siret year cj year_et month_et s_nbh apet marchet
	order siret year_et
	sort siret
erase "${DATA_PATH}/DADS/dads_et_2002_export_nbh.dta"	
save "${DATA_PATH}/DADS/dads_et_2002_red_nbh.dta", replace

forvalues j = 2003/2014 {
set more off
	use "${DATA_PATH}/DADS/dads_et_`j'_export_nbh.dta", clear
		gen siret = siren + nic 
		destring siret, replace force
		format siret %17.0g
		drop if siret==.
		keep siret s_nbh
		duplicates tag siret, gen(isdup)
		drop if isdup>0
		drop isdup
		gen year = `j'
	erase "${DATA_PATH}/DADS/dads_et_`j'_export_nbh.dta"	
	save "${DATA_PATH}/DADS/dads_et_`j'_red_nbh.dta", replace
}

use "${DATA_PATH}/DADS/dads_et_2003_red_nbh.dta", clear
	forvalues j = 2004/2014 {
		append using "${DATA_PATH}/DADS/dads_et_`j'_red_nbh.dta"
		erase "${DATA_PATH}/DADS/dads_et_`j'_red_nbh.dta"
	}
save "${DATA_PATH}/DADS/dads_et_2003_2014_red_nbh.dta", replace

use "${DATA_PATH}/DADS/dads_et_2003_2014_red_nbh.dta", clear
	merge 1:1 siret year using "${DATA_PATH}\CLAP\clap_et_2003_2015_red.dta"
	drop if year == 2015
	drop if _merge == 1
	drop _merge
	keep siret year cj year_et month_et s_nbh dep_et apet marchet etabmna
save "${DATA_PATH}/DADS/dads_et_2003_2014_red_nbh.dta", replace

erase "${DATA_PATH}/DADS/dads_et_2003_red_nbh.dta"


		
