/*  build_panel_va.do
	this do file adds value added */

use "${DATA_PATH}/ESANE/esane_2003_export.dta", clear
	replace rev2 = substr(rev2,1,2)	
	destring siren cj rev2, replace force
	format siren %16.0g	
	drop if siren==. | siren==0
	duplicates tag siren, gen(isdup)
	drop if isdup>0
	drop isdup	
erase "${DATA_PATH}/ESANE/esane_2003_export.dta"
save "${DATA_PATH}/ESANE/esane_2003_red.dta", replace

forvalues j=2004(1)2007{
	use "${DATA_PATH}/ESANE/esane_`j'_export.dta", clear
		replace rev2 = substr(rev2,1,2)	
		destring siren cj rev2, replace force
		format siren %16.0g	
		drop if siren==. | siren==0	
		duplicates tag siren, gen(isdup)
		drop if isdup>0
		drop isdup	
	erase "${DATA_PATH}/ESANE/esane_`j'_export.dta"	
	save "${DATA_PATH}/ESANE/esane_`j'_red.dta", replace
}

use "${DATA_PATH}/ESANE/esane_2008_export.dta", clear
		rename (siren_08 cj_08 nace_08) (siren cj rev2)
		replace rev2 = substr(rev2,1,2)	
		destring siren cj rev2, replace force
		format siren %16.0g	
		drop if siren==. | siren==0	
		duplicates tag siren, gen(isdup)
		drop if isdup>0
		drop isdup	
erase "${DATA_PATH}/ESANE/esane_2008_export.dta"		
save "${DATA_PATH}/ESANE/esane_2008_red.dta", replace

forvalues j=2009(1)2015{
	use "${DATA_PATH}/ESANE/esane_`j'_export.dta", clear
		replace ape_rep = substr(ape_rep,1,2)		
		rename (stat_cj ape_rep) (cj rev2)
		destring siren cj rev2, replace force
		format siren %16.0g		
		drop if siren==. | siren==0	
		duplicates tag siren, gen(isdup)
		drop if isdup>0
		drop isdup	
	erase "${DATA_PATH}/ESANE/esane_`j'_export.dta"		
	save "${DATA_PATH}/ESANE/esane_`j'_red.dta", replace
}


use "${DATA_PATH}/ESANE/esane_2003_red.dta", clear
	forvalues j=2004(1)2015{	
		append using "${DATA_PATH}/ESANE/esane_`j'_red.dta"
		erase "${DATA_PATH}/ESANE/esane_`j'_red.dta"
	}
	tostring cj, replace
	gen cj_red = substr(cj,1,1)
	drop cj
	rename cj_red cj
	tab cj
	drop if cj=="4" | cj=="6" | cj=="7" | cj=="8" | cj=="9"
	tab cj
	drop cj
	drop if inrange(rev2,64,66) | inrange(rev2,1,3)
	
	keep siren year va rev2	
	
	rename rev2 ape
	merge m:1 year ape using "${DATA_PATH}/Other/va_1989_2014.dta"
	keep if _merge==3
	destring va_def, replace
	replace va_def = va_def/100
	sort siren year
	gen va_deflat = va/va_def
	drop va va_def _merge 
	collapse (mean) va_deflat (mean) ape, by(siren year) fast
	rename (siren year va_deflat ape) (id t va s)
	sort id t
	xtset id t
	bys id: egen max_y = max(t)
	bys id: egen min_y = min(t)
	tsfill, full
	sort id max_y
	by id: replace max_y=max_y[1] if max_y == .
	sort id min_y
	by id: replace min_y = min_y[1] if min_y == .
	keep if inrange(t, min_y, max_y)
	rename max_y exit
	rename min_y entry
	sort id t
	by id: replace va = (va[_n-1]+va[_n+1])/2 if va[_n-1] != . & va == . & va[_n+1] != .
	sort id s
	by id: replace s = s[1] if s == .
	bys s t: egen VA = sum(va)
	sort id t
	bys id: gen dVA = D.VA/L.VA
	sort id t
	by id: replace va = va[_n-1]*(dVA+1) if va == . & _n != 1
	rename (id t s) (siren year ape)
	keep siren year va
	
	merge 1:m (siren year) using "${DATA_PATH}\CLAP\clap_et_2003_2015_red.dta"
	keep if _merge == 3
	drop _merge
	bys siren year: egen den = sum(effeqtp)
	gen wgt = effeqtp/den
	drop den
	replace va = va*wgt
	drop wgt
	keep siret year va apet cj marchet etabmna dep_et year_et month_et
save "${DATA_PATH}\CLAP\clap_et_2003_2015_red_va.dta", replace
	
erase "${DATA_PATH}/ESANE/esane_2003_red.dta"



